# The Team

Here is an overview of the current MetaMask team, and their primary roles and responsibilities, in the order they joined the team.

## Core Team Members

The core team maintains aspects of the main product (the extension) and the core libraries (the MetaMask Controller, provider-engine, etc).

### Aaron Davis

@kumavis
Founder / Technical Lead

Especially in charge of connection to the blockchain. Wrote [provider-engine](https://github.com/MetaMask/provider-engine), and is currently working with @hermanjunge on our JavaScript light-client.

### Dan Finlay

@danfinlay
Software Engineer / Product Lead

Focused on the deliverable, user-valuable aspects of MetaMask, including usability and documentation. Coordinates efforts between different branches of the team, and integrations with other projects.

### Frankie Pangilinan

@frankiebee
Software Engineer / Transaction Manager Lead

Frankie contributes code throughout MetaMask, but has become especially specialized in the way MetaMask manages transactions. She is also the original lead of the [Mascara](https://github.com/MetaMask/mascara) project.

### Kevin Serrano

@Zanibas
Software Engineer / Project Management Lead

Kevin is a software engineer, but also spends a lot of his time keeping the team's administrative operations running smoothly.

### Thomas Huang

@tmashuang
QA Engineer

Thomas is the head of MetaMask Quality Assurance. He both takes the final pass of branches of code before we ship to production, and is also in charge of continuously improving our automated quality assurance process.

### Christian Jeria

@cjeria
User Experience Designer

Christian is the lead of MetaMask's user experience. He is continuously designing prototypes, testing them with users, and refining them with our developers for production.

### Paul Bouchon

@bitpshr
Software Engineer

The newest member of the team! Paul is currently being onboarded, and finding his niche within the team.

## Laboratory Team Members

These team members are working on projects that will benefit MetaMask, but are not directly working on the product itself.

### Herman Junge

@hermanjunge
Software Engineer

Herman is currently leading the Mustekala project, a JavaScript, IPFS-based Ethereum light client.

## Kyokan Team Members

[Kyokan](http://kyokan.io/) is a consulting firm that has been working closely with the MetaMask team on the latest version of our user interface. Their team members are not members of ConsenSys LLC, but they contribute a lot to the project.

- Daniel Tsui (@sdsui)
- Chi Kei Chan (@chikeichan)
- Dan Miller (@danjm)
- David Yoo (@yookd)
- Whymarrh Whitby (@whymarrh)

